Subject: c67x00 with mpc85xx

From: Jeff Angielski <[email-masked]>
Date: Fri, 16 Oct 2009 15:44:48 -0400

We are using the Cypress USB Host (CY7C67300) with a Freescale MPC8544 
and can only get it to work if we add a delay after writing to the 
hardware registers through the HPI.

We tried playing with the SCY settings in the GPCM but nothing helps. 
It is only when we add usecs of delay after our write() functions that 
the hardware works.

The datasheets make no mention of any write-then-read requirements and 
the FAEs are stumped right now.

I was just hoping somebody had some experiencing interfacing this chip 
to the PowerPC and that they could offer some suggestions or ideas.

TIA,
Jeff

-- 
Jeff Angielski
The PTR Group
www.theptrgroup.com